private.h File Reference

Common includes, definitions, and prototypes. More...

`#include "sysdefs.h"`
`#include "mythread.h"`
`#include "lzma.h"`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <errno.h>`
`#include <signal.h>`
`#include <locale.h>`
`#include <stdio.h>`
`#include <unistd.h>`
`#include "tuklib_gettext.h"`
`#include "tuklib_progname.h"`
`#include "tuklib_exit.h"`
`#include "tuklib_mbstr.h"`
`#include "main.h"`
`#include "mytime.h"`
`#include "coder.h"`
`#include "message.h"`
`#include "args.h"`
`#include "hardware.h"`
`#include "file_io.h"`
`#include "options.h"`
`#include "signals.h"`
`#include "suffix.h"`
`#include "util.h"`

## Macros

#define | STDIN_FILENO (fileno(stdin))
#define | STDOUT_FILENO (fileno(stdout))
#define | STDERR_FILENO (fileno(stderr))

## Detailed Description

Common includes, definitions, and prototypes.